%-----------------------------------------------------------------------
%Design specific parameters
%-----------------------------------------------------------------------

%clear
spm_defaults;
subs = {'CBU050019','CBU050020','CBU050021','CBU050022','CBU050023','CBU050024','CBU050025','CBU050026','CBU050043','CBU050046','CBU050047','CBU060008','CBU060010','CBU060011','CBU060012','CBU060026','CBU060027','CBU060028'};

nsubs = length(subs);

dataroot = '/imaging/ah01/datafromnewscanner';


for sub = 1:nsubs
    display(sub)

    cd (dataroot)
    cd (subs{sub})
    cd ('switchresults')

        cons{1} = [0 0 0 1 1 1 1 1 0 0 0 1 1 1 1 1 0 0];
        cons{2} = [0 0 0 1 1 1 1 1 0 0 0 0 0 0 0 0 0 0];
        cons{3} = [0 0 0 0 0 0 0 0 0 0 0 1 1 1 1 1 0 0];
        cons{4} = [0 0 1 0 0 0 -1 1 0 0 1 0 0 0 -1 1 0 0];
        cons{5} = [0 0 1 0 0 0 -1 1 0 0 0 0 0 0 0 0 0 0];
        cons{6} = [0 0 0 0 0 0 0 0 0 0 1 0 0 0 -1 1 0 0];
        cons{7} = [0 0 0 1 -1 0 0 0 0 0 0 1 -1 0 0 0 0 0];
        cons{8} = [0 0 0 1 -1 0 0 0 0 0 0 0 0 0 0 0 0 0];
        cons{9} = [0 0 0 0 0 0 0 0 0 0 0 1 -1 0 0 0 0 0];
        cons{10} = [-1 0 0 0 1 0 0 0 -1 0 0 0 1 0 0 0 0 0];
        cons{11} = [-1 0 0 0 1 0 0 0 0 0 0 0 0 0 0 0 0 0];
        cons{12} = [0 0 0 0 0 0 0 0 -1 0 0 0 1 0 0 0 0 0];
        cons{13} = [-1 0 0 0 0 1 0 0 -1 0 0 0 0 1 0 0 0 0];
        cons{14} = [-1 0 0 0 0 1 0 0 0 0 0 0 0 0 0 0 0 0];
        cons{15} = [0 0 0 0 0 0 0 0 -1 0 0 0 0 1 0 0 0 0];
                

        
        
        cname{1} = 'working vs knowing';
        cname{2} = 'working vs knowing 1';
        cname{3} = 'working vs knowing 2';
        cname{4} = 'true - false all';
        cname{5} = 'true - false 1';
        cname{6} = 'true - false 2';
        cname{7} = 'ED - ID';
        cname{8} = 'ED - ID 1';
        cname{9} = 'ED - ID 2';
        cname{10} = 'ID - CN';
        cname{11} = 'ID - CN 1';
        cname{12} = 'ID - CN 2';
        cname{13} = 'sh - cn';
        cname{14} = 'sh - cn 1';
        cname{15} = 'sh - cn 2';
        
        
        
       
        

    clear SPM
    load ('SPM.mat')

        for i = 14:size(cons,2)

                SPM.xCon(i) = spm_FcUtil('Set',cname{i},'T','c',cons{i}',SPM.xX.xKXs);
                %use this instead to add onto the end
                %SPMest.xCon = spm_FcUtil('Set',cname{i},'T','c',cons{i}',SPMest.xX.xKXs);

        end
        spm_contrasts(SPM);
  
    
    
     
end


